package be.jeffcheasey88.peeratcode.parser.java;

import java.util.ArrayList;
import java.util.List;

import be.jeffcheasey88.peeratcode.parser.Bag;
import be.jeffcheasey88.peeratcode.parser.Token;

public class Class extends JavaElement{
	
	private List<Annotation> annotations;
	
	private String name;
	private String extend;
	private String implement;
	
	private List<JavaElement> elements;
	
	public Class(Bag bag){
		this.name = bag.<Bag>get("name").<Token>get().getValue();
		
		Bag extendBag = bag.<Bag>get("extend");
		if(extendBag != null) this.extend = extendBag.<Token>get().getValue();
		
		Bag implementBag = bag.<Bag>get("implement");
		if(implementBag != null) this.implement = implementBag.<Token>get().getValue();
	
		this.annotations = new ArrayList<>();
		this.elements = new ArrayList<>();
	}
	
	

}
